Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1695069 - Backport fix for libsolv-0.7.4 regression
Summary: Backport fix for libsolv-0.7.4 regression
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libsolv
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Igor Gnatenko
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-02 12:29 UTC by Jan Kaluža
Modified: 2019-04-04 03:11 UTC (History)
7 users (show)

Fixed In Version: libsolv-0.7.4-2.fc30 libsolv-0.7.4-2.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-04 00:01:43 UTC


Attachments (Terms of Use)

Description Jan Kaluža 2019-04-02 12:29:35 UTC
There is regression in libsolv-0.7.4 which breaks at least module build service. Can you please backport this to all Fedora releases which ships libsolv-0.7.4?

Waiting for some quick official libsolv release is also acceptable if it happens in some reasonable time :).

- https://github.com/openSUSE/libsolv/issues/312
- https://github.com/openSUSE/libsolv/pull/313

Comment 1 Igor Gnatenko 2019-04-02 12:33:35 UTC
I'll backport my patch. You don't have to create bug for it :)

Comment 2 Fedora Update System 2019-04-02 12:56:53 UTC
libsolv-0.7.4-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-c381c7bf54

Comment 3 Fedora Update System 2019-04-02 12:57:01 UTC
libsolv-0.7.4-2.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-0b8d5a6b33

Comment 4 Fedora Update System 2019-04-02 14:32:01 UTC
libsolv-0.7.4-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-c381c7bf54

Comment 5 Fedora Update System 2019-04-03 02:27:22 UTC
libsolv-0.7.4-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-0b8d5a6b33

Comment 6 Fedora Update System 2019-04-03 04:37:56 UTC
libsolv-0.7.4-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-c381c7bf54

Comment 7 Fedora Update System 2019-04-04 00:01:43 UTC
libsolv-0.7.4-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2019-04-04 03:11:18 UTC
libsolv-0.7.4-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.